* {
  font-family: DMSans, Arial, Helvetica, sans-serif;
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  margin: auto;
  max-width: 1500px;
  position: relative;
}

p {
  color: #000000;
  font-size: 0.8em;
  font-weight: 400;
  margin: 1.5px;
}

.name {
  color: #D3573C;
  font-size: 2.25em;
  font-weight: 400;
}

.location {
  color: #901C1C;
  font-size: 1em;
}

@font-face {
  font-family: "DMSans";
  src: url("../ressources/font/DM_Sans/DMSans-Regular.ttf");
}
.photographer {
  display: flex;
  flex-flow: column nowrap;
  width: 100%;
  margin: 20px 0 20px 0;
  text-decoration: none;
}
@media (min-width: 992px) {
  .photographer {
    width: auto;
  }
}
.photographer__identity {
  display: flex;
  flex-flow: column nowrap;
  align-items: center;
}
.photographer__info {
  display: flex;
  flex-flow: column nowrap;
  align-items: center;
}
.photographer__info__price {
  color: #757575;
  font-size: 0.8em;
}

.hidden {
  display: none;
}

.taglist {
  list-style: none;
  display: flex;
  flex-flow: row wrap;
  justify-content: center;
}
.taglist__tag {
  cursor: pointer;
  color: #901C1C;
  padding: 4px 8px;
  margin: 2px;
  border: solid 1px #C4C4C4;
  border-radius: 15px;
  font-weight: 501;
  font-size: 0.8em;
  text-align: center;
  height: max-content;
}

.tag-btn {
  position: absolute;
  clip: rect(0, 0, 0, 0);
  pointer-events: none;
}
.tag-btn:focus + .btn {
  border: solid 1px #901C1C;
}

.btn:hover {
  color: white;
  border: solid 1px #e18d7a;
  background-color: #e18d7a;
}

.isChecked {
  color: white;
  border: solid 1px #D3573C;
  background-color: #D3573C;
}

.gallery {
  padding: 20px;
  width: 100%;
}
@media (min-width: 992px) {
  .gallery {
    padding: 20px 0;
  }
}
@media (min-width: 992px) {
  .gallery label {
    margin-left: 20px;
  }
}

@media (min-width: 992px) {
  #gallery-content {
    display: grid;
    grid-template: repeat(20, auto)/repeat(3, 33.3333333333%);
  }
}

.media {
  margin: 20px 0;
}
@media (min-width: 992px) {
  .media {
    margin: 20px;
  }
}
.media__thumb {
  display: flex;
  justify-content: center;
  width: 100%;
  height: 230px;
  background-size: cover;
  background-position: 50% 40%;
  background-repeat: no-repeat;
  border: none;
  border-radius: 5px;
  overflow: hidden;
}
@media (min-width: 992px) {
  .media__thumb {
    height: 280px;
  }
}
.media__thumb:hover {
  cursor: pointer;
  box-shadow: 0 0 5px #666666;
}
.media__thumb__video {
  min-height: 100%;
  width: 100%;
}
@media (min-width: 992px) {
  .media__thumb__video {
    width: auto;
  }
}
.media__description {
  display: flex;
  flex-flow: row nowrap;
  justify-content: space-between;
}
.media__description__title {
  color: #901C1C;
  font-size: 1.2em;
  font-weight: 400;
}
.media__description__numbers {
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  color: #901C1C;
  font-size: 1.2em;
}
.media__description__numbers p {
  color: #901C1C;
  font-size: 1em;
  font-weight: 400;
  margin-right: 5px;
}
.media__description__numbers__heart {
  cursor: pointer;
  background: none;
  border: none;
  color: #901C1C;
  font-size: 1em;
}
.media__description__numbers__heart:hover {
  color: #bb2424;
}
.media__description__numbers__heart:focus {
  color: #bb2424;
}

.contact-btn {
  background-color: #901C1C;
  border: none;
  color: #ffffff;
  padding: 10px 15px;
  border-radius: 7.5px;
  position: fixed;
  bottom: 35px;
  right: calc(50% - 45px);
  text-align: center;
}
.contact-btn:hover {
  cursor: pointer;
  background: #bb2424;
}
.contact-btn:focus {
  cursor: pointer;
  background: #bb2424;
}
@media (min-width: 992px) {
  .contact-btn {
    position: initial;
    grid-area: 1/1/2/2;
    height: max-content;
    width: max-content;
    justify-self: flex-end;
    align-self: center;
  }
}

.bground {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  overflow: auto;
  background-color: rgba(122, 122, 122, 0.4);
}

.content {
  margin: auto;
  width: 95%;
  max-width: 450px;
  animation-name: modalopen;
  animation-duration: 500ms;
  background: #DB8876;
  border-radius: 5px;
  overflow: hidden;
  position: relative;
  color: #fff;
}

@keyframes modalopen {
  from {
    opacity: 0;
    transform: translateY(-150px);
  }
  to {
    opacity: 1;
  }
}
.modal-body {
  padding: 30px;
  margin: auto;
}

#form-title {
  color: #000000;
  margin-bottom: 15px;
}

.formData {
  margin-bottom: 20px;
}

label {
  color: #312E2E;
  font-size: 1.25em;
  font-weight: 500;
  display: inline-block;
}

input {
  padding: 8px;
  border: 0.8px solid #fff;
  outline: none;
}

textarea {
  border: 0.8px solid #fff;
  min-height: 100px;
}

.text-control {
  margin: 0;
  padding: 8px;
  width: 100%;
  border-radius: 8px;
  font-size: 20px;
  height: 48px;
}
.text-control:focus {
  border: solid 2px #D3573C;
}

/* CLOSE BTN */
.close {
  position: absolute;
  top: 30px;
  right: 30px;
  cursor: pointer;
  font-size: 2.5em;
  color: #fff;
  height: 0;
  border: 0;
  background: none;
}
.close:hover {
  color: #d93939;
}
.close:focus {
  color: #d93939;
}

#btn-submit, #btn-close {
  background: #bb2424;
  display: block;
  margin: 0 auto;
  border-radius: 7px;
  font-size: 1rem;
  padding: 12px 82px;
  color: #fff;
  cursor: pointer;
  border: 0;
}
#btn-submit:hover, #btn-close:hover {
  background: #d93939;
}
#btn-submit:focus, #btn-close:focus {
  background: #d93939;
}

/* ERROR STYLES */
.formData[data-error]::after {
  content: attr(data-error);
  font-size: 0.8em;
  font-weight: 600;
  color: #bb2424;
  display: block;
  margin-top: 7px;
  margin-bottom: 7px;
  text-align: right;
  line-height: 0.9;
  opacity: 0;
  transition: 0.3s;
}

.formData[data-error-visible=true]::after {
  opacity: 1;
}

.formData[data-error-visible=true] .text-control {
  border: 2px solid #bb2424;
}

/* Modal after success validation */
#msg-success {
  display: none;
  margin: 75px auto 75px auto;
  color: #fff;
  font-size: 2rem;
  text-align: center;
  width: 80%;
}

#btn-close {
  display: none;
  margin: auto;
}

.lightbox {
  display: none;
  color: white;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  overflow: auto;
  background-color: rgba(122, 122, 122, 0.4);
}
.lightbox__content {
  margin: auto;
  animation-name: modalopen;
  animation-duration: 500ms;
  background: #DB8876;
  border-radius: 5px;
  position: relative;
  color: #fff;
  width: max-content;
}
.lightbox__content__body {
  width: max-content;
}

.displayed-img {
  display: none;
  max-height: 80vh;
  max-width: 80vw;
}

.displayed-video {
  display: none;
  max-height: 80vh;
  max-width: 80vw;
}

.previous, .next, .close-lightbox {
  position: absolute;
  cursor: pointer;
  font-size: 32px;
  line-height: 0;
  color: #bb2424;
  background: none;
  border: none;
}
.previous:hover, .next:hover, .close-lightbox:hover {
  color: #d93939;
}
.previous:focus, .next:focus, .close-lightbox:focus {
  color: #d93939;
}

.previous {
  left: -30px;
  top: calc(50% - 16px);
}

.next {
  right: -30px;
  top: calc(50% - 16px);
}

.close-lightbox {
  height: min-content;
  right: -30px;
  top: 0;
}

.user {
  width: 200px;
  height: 200px;
  overflow: hidden;
  border-radius: 50%;
  margin-bottom: 10px;
}
.user__portrait {
  position: relative;
}
.user__portrait--243 {
  width: 250px;
  top: -55px;
  right: 0px;
}
.user__portrait--930 {
  width: 300px;
  right: 35px;
  top: 0px;
}
.user__portrait--82 {
  width: 200px;
  right: 0px;
  top: 0px;
}
.user__portrait--527 {
  width: 300px;
  right: 50px;
  top: -100px;
}
.user__portrait--925 {
  width: 365px;
  right: 55px;
  top: 0px;
}
.user__portrait--195 {
  width: 300px;
  right: 50px;
  top: 0px;
}

.header {
  padding: 40px 20px 20px 20px;
}
@media (min-width: 992px) {
  .header {
    grid-template: auto/auto auto;
    display: grid;
  }
}
.header .logo-link {
  position: relative;
  display: inline-block;
}
@media (min-width: 992px) {
  .header .logo-link {
    grid-area: 1/1/2/2;
    width: max-content;
  }
}
.header .logo-link img {
  width: 150px;
  height: 37.5px;
}
.header nav {
  margin: 20px 0 0 0;
}
@media (min-width: 992px) {
  .header nav {
    margin: auto;
    grid-area: 1/1/2/4;
  }
}

.mainTitle {
  color: #901C1C;
  font-size: 1.1em;
  font-weight: 400;
  position: absolute;
  right: 22px;
  top: 50px;
}
@media (min-width: 992px) {
  .mainTitle {
    top: 47.5px;
    font-size: 1.25em;
  }
}

@media (min-width: 992px) {
  #photographers {
    margin-top: 70px;
    display: grid;
    grid-template: auto auto auto/auto auto auto;
  }
}

.banner {
  padding: 40px 20px 30px 20px;
}

.presentation {
  padding: 0 20px;
  display: grid;
  grid-template: auto auto auto auto/auto 100px;
}
@media (min-width: 992px) {
  .presentation {
    padding: 50px 20px;
    margin: 0 20px;
    background-color: #FAFAFA;
    grid-template: auto auto auto/auto auto;
  }
}
.presentation > .name {
  grid-area: 1/1/2/2;
}
@media (min-width: 992px) {
  .presentation > .name {
    font-size: 3em;
    margin: 5px 0;
  }
}
.presentation__info {
  grid-area: 2/1/3/2;
}
@media (min-width: 992px) {
  .presentation__info {
    margin-bottom: 10px;
  }
}
.presentation__info__tagline {
  font-size: 0.85em;
  color: #525252;
}
@media (min-width: 992px) {
  .presentation__info__tagline {
    margin-top: 10px;
  }
}
.presentation > .user {
  margin: 0;
  justify-self: center;
  transform: scale(0.55);
  grid-area: 1/2/5/3;
}
@media (min-width: 992px) {
  .presentation > .user {
    position: relative;
    right: 75px;
    transform: scale(1);
    align-self: center;
    justify-self: flex-end;
  }
}
.presentation > .taglist {
  justify-content: flex-start;
  grid-area: 3/1/4/2;
  margin: 5px 0;
}
.presentation > .taglist li {
  margin-left: 0;
  margin-right: 4px;
}
@media (min-width: 992px) {
  .presentation > .taglist {
    margin: 15px 0;
  }
}
.presentation__numbers {
  grid-area: 4/1/5/2;
  display: flex;
  flex-flow: row wrap;
  align-items: center;
}
@media (min-width: 992px) {
  .presentation__numbers {
    grid-area: unset;
    position: fixed;
    right: 15px;
    bottom: 0;
    background-color: #DB8876;
    border-radius: 10px 10px 0 0;
    padding: 17px 0px;
  }
}
.presentation__numbers p {
  font-size: 0.8em;
  font-weight: 501;
  color: #901C1C;
}
@media (min-width: 992px) {
  .presentation__numbers p {
    font-size: 1.1em;
    color: #000000;
    margin-left: 30px;
  }
}
@media (min-width: 992px) {
  .presentation__numbers .price {
    margin-right: 30px;
  }
}
.presentation__numbers #profil-likes-btn {
  margin-left: 2px;
  margin-right: 10px;
}
@media (min-width: 992px) {
  .presentation__numbers #profil-likes-btn {
    color: #000000;
  }
}
.presentation__numbers #profil-likes-btn:hover {
  color: #901C1C;
}
.presentation__numbers #profil-likes-btn:focus {
  color: #901C1C;
}

.gallery label {
  color: #000000;
  font-weight: 700;
  font-size: 1.1em;
}

#gallery-sorting {
  font-size: 1.1em;
  font-weight: 700;
  margin-left: 10px;
  padding: 6px;
  color: #ffffff;
  background-color: #901C1C;
  border: none;
  border-radius: 5px;
}
#gallery-sorting:hover {
  background-color: #bb2424;
}
#gallery-sorting:focus {
  background-color: #bb2424;
}

/*# sourceMappingURL=style.css.map */
